ch.qos.logback.core.spi

## Class ScanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.spi.ScanException

All Implemented Interfaces:
  Serializable

    public class ScanException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScanException(String msg)`
`ScanException(String msg, Throwable rootCause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScanException

    public ScanException(String msg)

#### ScanException

    public ScanException(String msg,
                         Throwable rootCause)

### Method Detail

#### getCause

    public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`